com.fasterxml.jackson.databind.introspect

## Interface TypeResolutionContext

- All Known Implementing Classes:
    AnnotatedClass, TypeResolutionContext.Basic

      public interface TypeResolutionContext

  Interface that defines API used by members (like `AnnotatedMethod`) to dynamically resolve types they have.
  Since:
    2.7

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TypeResolutionContext.Basic`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JavaType` | `resolveType(java.lang.reflect.Type t)`

- - ### Method Detail

    - #### resolveType

          JavaType resolveType(java.lang.reflect.Type t)